Bug 1555377 - Expose params to configure remote MongoDB connection
Summary: Expose params to configure remote MongoDB connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Martin Bacovsky
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1555310
TreeView+ depends on / blocked
 
Reported: 2018-03-14 15:02 UTC by Martin Bacovsky
Modified: 2019-11-05 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
fred
Clone Of:
Environment:
Last Closed: 2018-10-16 19:09:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22907 0 None None None 2018-03-15 12:22:41 UTC

Description Martin Bacovsky 2018-03-14 15:02:53 UTC
Description of problem:
puppet-pulp has parameters to configure MongoDB on remote server. puppet-katello uses the default and does not expose the params to the installer.

Version-Release number of selected component (if applicable):
6.3.0

How reproducible:
Always

Steps to Reproduce:
1. satellite-installer --scenario satellite --full-help|grep pulp-db
2. no options
3.

Actual results:
There are no Pulp DB configuration options

Expected results:
Installer has options to configure host, db name and credentials to access remote Mongo DB Pulp can connect to

Additional info:

Comment 2 Martin Bacovsky 2018-03-15 12:22:39 UTC
Created redmine issue http://projects.theforeman.org/issues/22907 from this bug

Comment 3 Satellite Program 2018-03-20 16:25:17 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22907 has been resolved.

Comment 4 Peter Ondrejka 2018-06-15 09:35:09 UTC
Verified these parameters have been added in Sat 6.4 snap 7

Comment 5 Bryan Kearney 2018-10-16 19:09:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.